/**
 * PETALS - PETALS Services Platform. Copyright (c) 2005 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * ---------------------------------------------------------------------------
 * ---------------------------------------------------------------------------
 */
package org.ow2.petals.component.framework.notification;

import java.util.logging.Logger;

import javax.jbi.messaging.DeliveryChannel;
import javax.jbi.messaging.MessagingException;

import org.ow2.easywsdl.wsdl.api.WSDLException;
import org.ow2.petals.component.framework.api.Constants;
import org.ow2.petals.component.framework.api.exception.PEtALSCDKException;
import org.ow2.petals.component.framework.api.notification.NotificationConsumer;

import com.ebmwebsourcing.wsstar.addressing.definition.api.WSAddressingException;
import com.ebmwebsourcing.wsstar.notification.definition.basenotification.api.Notify;
import com.ebmwebsourcing.wsstar.notification.definition.utils.WSNotificationException;
import com.ebmwebsourcing.wsstar.notification.extension.api.SOAParameterType;
import com.ebmwebsourcing.wsstar.notification.extension.utils.WSNotificationExtensionException;

/**
 * A link to the notification consumer from the component point of view.
 * 
 * @author Frederic Gardes
 * 
 */
public class ComponentNotificationConsumer extends AbstractComponentNotificationActor implements
NotificationConsumer {
    /**
     * The constructor
     * 
     * @param deliveryChannel
     *            The delivery channel
     * @throws WSDLException
     * @throws WSNotificationException
     * @throws WSAddressingException
     */
    public ComponentNotificationConsumer(final DeliveryChannel deliveryChannel, final Logger logger)
    throws WSDLException, WSNotificationException, WSAddressingException {
        super(Constants.Notification.CONSUMER_WSDL, logger);
    }

    /*
     * (non-Javadoc)
     * 
     * @see
     * org.ow2.petals.component.framework.api.notification.NotificationConsumer
     * #getNotificationConsumerSOAParameter()
     */
    public SOAParameterType getNotificationConsumerSOAParameter() throws WSDLException,
    WSNotificationException, WSAddressingException, WSNotificationExtensionException {
        return this.getSOAParameter(Constants.Notification.NOTIFICATION_CONSUMER_INTERFACE);
    }

    /*
     * (non-Javadoc)
     * 
     * @see
     * org.ow2.petals.component.framework.api.notification.NotificationConsumer
     * #notify
     * (com.ebmwebsourcing.wsstar.notification.definition.basenotification
     * .api.Notify)
     */
    public void notify(final Notify notify) throws WSNotificationException, MessagingException,
    PEtALSCDKException {
        // TODO Auto-generated method stub
    }
}
